note

	description:

		"Drupal release history document"

	author: "Berend de Boer <berend@pobox.com>"
	copyright: "Copyright (c) 2011, Berend de Boer"


class

	PROJECT_DOCUMENT


create

	make


feature {NONE} -- Initialisation

	make
		do
			create attributes
			create child_nodes
		end


feature -- Access

	attributes: like project_attributes

	child_nodes: like project_element


feature -- Elements

	project_attributes: TUPLE []

	project_element: TUPLE [
		title: STRING
		short_name: STRING
		dc_creator: STRING
		api_version: INTEGER
		recommended_major: INTEGER
		supported_majors: INTEGER
		default_major: INTEGER
		project_status: STRING
		link: STRING
		terms: DS_LINKED_LIST [like term_element]
		]

	term_element: TUPLE [
		name: STRING;
		value: STRING]


end
